Name:		kcm-fcitx
Version:	0.5.5
Release:	3%{?dist}
Summary:	KDE Config Module for Fcitx
Group:		Applications/System
License:	GPLv2+
URL:		https://github.com/fcitx/kcm-fcitx
Source0:	http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	fcitx-devel gettext libxkbfile-devel
BuildRequires:	qt5-qtbase-devel qt5-qtx11extras-devel
BuildRequires:	fcitx-qt5-devel
BuildRequires:	desktop-file-utils
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5-rpm-macros kf5-kcoreaddons-devel kf5-kwidgetsaddons-devel kf5-kcmutils-devel kf5-kitemviews-devel kf5-ki18n-devel kf5-kio-devel kf5-knewstuff-devel
Requires:	fcitx kf5-filesystem

%description
Kcm-fcitx is a System Settings module to manage Fcitx. You can config fcitx
through "Personalization" - "Regional Settings" - "Input Method" now.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir -pv build
pushd build
%{cmake_kf5} ../
make %{?_smp_mflags}
popd

%install
make install DESTDIR=$RPM_BUILD_ROOT -C build

%find_lang %{name} --all-name --with-kde


%files -f %{name}.lang
%license COPYING
%{_bindir}/kbd-layout-viewer
%{_sysconfdir}/xdg/fcitx-skin.knsrc
%{_kf5_qtplugindir}/kcm_fcitx.so
%{_kf5_datadir}/kservices5/kcm_fcitx.desktop
%{_kf5_datadir}/kservices5/kbd-layout-viewer.desktop

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Sep 24 2017 Robin Lee <cheeselee@fedoraproject> - 0.5.5-1
- Update to 0.5.5

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri May 12 2017 Robin Lee <cheeselee@fedoraproject.org> - 0.5.4-1
- Update to 0.5.4

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 25 2016 Robin Lee <cheeselee@fedoraproject.org> - 0.5.3-1
- Update to 0.5.3

* Sat Nov 14 2015 Robin Lee <cheeselee@fedoraproject.org> - 0.5.2-1
- Update 0.5.2
- URL and description revised

* Thu Oct  1 2015 Robin Lee <cheeselee@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1, using KF5

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.4.3-5
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 09 2013 Liang Suilong <liangsuilong@gmail.com> - 0.4.3-1
- Upstream to kcm-fcitx-0.4.3

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 04 2012 Liang Suilong <liangsuilong@gmail.com> - 0.4.1-1
- Upstream to kcm-fcitx-0.4.1

* Sun Jul 29 2012 Liang Suilong <liangsuilong@gmail.com> - 0.4.0-3
- Fix spec error 

* Sun Jul 29 2012 Liang Suilong <liangsuilong@gmail.com> - 0.4.0-2
- Add kbd-layout-viewer

* Sun Jul 29 2012 Liang Suilong <liangsuilong@gmail.com> - 0.4.0-1
- Upstream to kcm-fcitx-0.4.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15 2012 Liang Suilong <liangsuilong@gmail.com> - 0.3.3-1
- Upstream to kcm-fcitx-0.3.3

* Sun Feb 19 2012 Liang Suilong <liangsuilong@gmail.com> - 0.3.0-1
- Initial Release
